stages:
  - build
  - test
  - deploy

variables:
  MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"

before_script:
  - chmod +x mvnw

build:
  stage: build
  script:
    - ./mvnw $MAVEN_CLI_OPTS clean package

test:
  stage: test
  script:
    - ./mvnw $MAVEN_CLI_OPTS test

deploy:
  stage: deploy
  script:
    - ./mvnw $MAVEN_CLI_OPTS deploy
  only:
    - master
